# Character

## Character

공용 캐릭터 객체에요.

### **함수**

<br>

| **bool IsDie()** |
| ---------------- |

현재 캐릭터가 죽어있는 상태인지 알 수 있어요.

\-- 샘플 --

```lua
print(character:IsDie()) --캐릭터가 죽으면 true를 반환해요.
```

<br>

| **bool IsFly()** |
| ---------------- |

캐릭터가 공중에 떠 있는지 아닌지 얻을 수 있어요.

\-- 샘플 --

```lua
print(character:IsFly()) --캐릭터가 점프 중이면 true를 반환해요.
```

<br>

| **bool IsCanJump()** |
| -------------------- |

캐릭터가 현재 점프 가능한 상태인지 알 수 있어요.

\-- 샘플 --

```lua
print(character:IsCanJump()) --캐릭터가 점프할 수 있는 상태면 true를 반환해요.
```

<br>

| **number GetMoveSpeed()** |
| ------------------------- |

해당 캐릭터의 현재 이동 속도를 얻을 수 있어요.

\-- 샘플 --

```lua
print(character:GetMoveSpeed()) --이동 중인 캐릭터의 이동속도를 숫자로 반환해요.
```

\ <br>

## **사용 가능한 부모 오브젝트 기능들**

### **속성**

| **이름** | **설명** |
| ------ | ------ |

### **이벤트**

| **이름** | **설명** |
| ------ | ------ |

### **함수**

| **이름**                                                                                            | **설명**                                                     |
| ------------------------------------------------------------------------------------------------- | ---------------------------------------------------------- |
| [**AddTimeEvent**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/timeevent)    | **일정 시간뒤에 연결 함수가 호출되는 이벤트를 추가해요. (추가할 이벤트 이름, 시간, 연결 함수)** |
| [**DeleteTimeEvent**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/timeevent) | **등록된 시간 이벤트를 삭제해요. (삭제할 이벤트 이름)**                         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/character.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
